align {PROcess} | R Documentation

## Align peaks for a specified precision.

### Description

A vector of peaks are expanded to a collection of intervals, 'eps' * m/z of the peak to the left and right of the peak position. They are then aligned using the method of intersection graphs by Gentleman and Vandal.

### Usage

    align(pVec, eps = 0.003)

### Arguments

`pVec` | A vector of peaks.
`eps` | A user specified precision of peak position.

### Value

A vector of aligned peaks.

### References

R. Gentleman and A. C. Vandal, Computational Algorithms for Censored-Data Problems Using Intersection Graphs. (2001), J. Comput. Graphic Statist., vol. 10, p403–421.

[Package PROcess version 1.6.3 Index]